Subject: Request to meet in Houston with GE/ABB/Peter Thompson of A/K, and Lisa
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Tue, 15 May 2001 03:47:00 -0700 (PDT)

Dale - I want to suggest we set a meeting 2 weeks from this Thursday to fly 
to Houston, have about a four hour session (2 hours each) with ABB, and GE in 
ENA's offices with Peter Thompson, Lisa Bills et al to get the B/O contracts 
done.

Peter is in favor, and I certainly think its time to stop e mailing back and 
fourth - just sit down and dedicate the time to get all comments resolved.